import request from '@/utils/request';

// 投料保存
export async function batchSave(data) {
  const res = await request.post(`/mes/feed/batchSave`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// pda投料保存缓存
export async function feedSaveCache(data) {
  const res = await request.post(`/mes/feed/saveCache`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// pda投料查缓存
export async function feedGetCache(data) {
  const res = await request.post(`/mes/feed/getCache`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 清空缓存
export async function removeCache(data) {
  const res = await request.post(`/mes/workreport/removeCache`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// pda根据工单ids查询投料单
export async function feedByOrderIds(data) {
  const res = await request.post(`/pda/mes/feed/listByOrderIds`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

//拆批
export async function splitBatch(data) {
  const res = await request.post(`pda/mes/feed/splitBatch`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// pda出库单-用于投料
export async function feedOutInOrder(params) {
  const res = await request.post(`/pda/mes/feed/feedOutInOrder`, params, true);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
